상세 컨텐츠

본문 제목

vs code Auto complete Error

카테고리 없음

by 코보소 2022. 11. 17. 16:50

본문

반응형

 

 

https://stackoverflow.com/questions/54380924/reference-assemblies-for-framework-netframework-version-v4-7-1-were-not-found

 

Reference assemblies for framework ".NETFramework,Version=v4.7.1" were not found

I try to open a Unity3D project with VSCode under Linux (Ubuntu 18.10). The omnisharp extension doesn't load the project, saying assemblies were not found. It may seems very stupide, but i'm not r...

stackoverflow.com

 

1. Vs code Extension C#  install

 

 

2. Mono Download

 

3. Dotnet install

 

4. Environment Variable Add

본인 맥 환경에 따라 환경변수를 추가해주면 된다.

$ vi ~/.zshrc  // Catalina 이상 거의 zsh쉘 사용함

$ vi .bash_profile // bash 쉘 사용중이면 이것을 사용
export FrameworkPathOverride=/Library/Frameworks/Mono.framework/Versions/Current

 

5. vs code, Unity 재실행.

 

완료!

반응형

댓글 영역